Bug 728239 - window keyboard settings are lost after window focus changes
Summary: window keyboard settings are lost after window focus changes
Keywords:
Status: CLOSED DUPLICATE of bug 838373
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-xkb-plugin
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 13:48 UTC by Enrique
Modified: 2013-05-18 16:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:48:32 UTC


Attachments (Terms of Use)

Description Enrique 2011-08-04 13:48:57 UTC
Description of problem:

 I am using the xfce4-xkb-plugin with "Manage layout" option set to "per window".
 That works fine, the keyboard layout (es) changes for the window I have the focus in. But then if a change to other virtual desktop and type things in other windows, when I come back to the window I changed, it has the common keyboard layout again (us). 
 I am using XFCE window manager with option "Focus follows mouse".

Version-Release number of selected component (if applicable):
xfce4-xkb-plugin-0.5.4.1-1.fc15.x86_64
xfwm4-4.8.1-2.fc15.x86_64


How reproducible:

 It is not always reproducible. It doesn't occur instantaneously, rather I notice after a while changing desktops and windows focus (and creating new windows, probably). It also seems that some time has to go by before the bug shows up.


Steps to Reproduce:
1. Setup xfce4-xkb-plugin to option "Manage layout" = "per window".
2. Define 3 possible kbd layouts (at least that's my use case)
3. Change the kbd layout for a given window
4. Switch to other desktops and windows randomly for a while (having "Focus follows mouse" in xfwm).
5. Switch back to the original window and check whether the kbd layout changed.

Comment 1 Christoph Wickert 2011-09-23 10:06:14 UTC
Do you have any external keyboards connected, e.g. an additional USB keyboard? Could this be a duplicate of bug 713826?

Comment 2 Enrique 2011-09-30 21:05:02 UTC
 I have a desktop machine with only one usb keyboard. I don't know if it is related to bug 713826, since it happens without exiting the session.
 In the meantime, it also happened that from the 3 keyboard configs I had (us, es, de), only "us" appears know. It seems that the other ones have been forgotten, but thatś probably an unrelated bug.

Comment 3 Fedora End Of Life 2012-08-07 19:48:34 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Christoph Wickert 2013-05-18 16:44:33 UTC

*** This bug has been marked as a duplicate of bug 838373 ***


Note You need to log in before you can comment on or make changes to this bug.